Callout
Date: 2016-07-03

com.nwalsh.saxon

## Class Callout

- java.lang.Object
- - com.nwalsh.saxon.Callout

- All Implemented Interfaces:
    java.lang.Comparable

      public class Callout
      extends java.lang.Object
      implements java.lang.Comparable

  A class for maintaining information about callouts.

  To make processing callouts easier, they are parsed out of the input structure and stored in a sorted array. (The array is sorted according to the order in which the callouts occur.)

  This class is just the little record that we store in the array for each callout.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Callout(int callout, org.w3c.dom.Element area, int line, int col)` The constructor; initialize the private data structures.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(java.lang.Object o)` The compareTo method compares this Callout with another.
    `org.w3c.dom.Element` | `getArea()` Access the Callout's area.
    `int` | `getCallout()` Access the Callout's callout number.
    `int` | `getColumn()` Access the Callout's column.
    `int` | `getLine()` Access the Callout's line.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Callout

          public Callout(int callout,
                 org.w3c.dom.Element area,
                 int line,
                 int col)

      The constructor; initialize the private data structures.

  - ### Method Detail

    - #### compareTo

          public int compareTo(java.lang.Object o)

      The compareTo method compares this Callout with another.

      Given two Callouts, A and B, A < B if:

      1. A.line < B.line, or
      2. A.line = B.line && A.col < B.col, or
      3. A.line = B.line && A.col = B.col && A.callout < B.callout
      4. Otherwise, they're equal.
      Specified by:
        `compareTo` in interface `java.lang.Comparable`

    - #### getArea

          public org.w3c.dom.Element getArea()

      Access the Callout's area.

    - #### getLine

          public int getLine()

      Access the Callout's line.

    - #### getColumn

          public int getColumn()

      Access the Callout's column.

    - #### getCallout

          public int getCallout()

      Access the Callout's callout number.